Get E-Way Bill
curl --request GET \
--url https://api.sandbox.co.in/gst/compliance/e-way-bill/tax-payer/bill/{ewb_no} \
--header 'authorization: <authorization>' \
--header 'x-api-key: <x-api-key>'import requests
url = "https://api.sandbox.co.in/gst/compliance/e-way-bill/tax-payer/bill/{ewb_no}"
headers = {
"authorization": "<authorization>",
"x-api-key": "<x-api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {authorization: '<authorization>', 'x-api-key': '<x-api-key>'}
};
fetch('https://api.sandbox.co.in/gst/compliance/e-way-bill/tax-payer/bill/{ewb_no}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"data": {
"data": {
"VehiclListDetails": [
{
"enteredDate": "01/05/2024 07:00:00 PM",
"fromPlace": "FRAZER TOWN",
"fromState": 27,
"groupNo": "0",
"transDocDate": null,
"transDocNo": "",
"transMode": "1",
"tripshtNo": 0,
"updMode": "API",
"userGSTINTransin": "27AAACQ3770E004",
"vehicleNo": "PVC1234"
}
],
"actFromStateCode": 27,
"actToStateCode": 29,
"actualDist": 1000,
"cessNonAdvolValue": 400,
"cessValue": 400.56,
"cgstValue": 0,
"docDate": "15/12/2017",
"docNo": "7001-8",
"docType": "INV",
"ewayBillDate": "01/05/2024 07:00:00 PM",
"ewbNo": 291010077005,
"extendedTimes": 0,
"fromAddr1": "2ND CROSS NO 59 19 A",
"fromAddr2": "GROUND FLOOR OSBORNE ROAD",
"fromGstin": "29AAACQ3770E000",
"fromPincode": 400027,
"fromPlace": "FRAZER TOWN",
"fromStateCode": 27,
"fromTrdName": "welton",
"genMode": "API",
"igstValue": 300.67,
"itemList": [
{
"cessNonAdvol": 0,
"cessRate": 3,
"cgstRate": 0,
"hsnCode": 1001,
"igstRate": 3,
"itemNo": 1,
"productDesc": "Wheat",
"productId": 0,
"productName": "Wheat",
"qtyUnit": "BOX",
"quantity": 4,
"sgstRate": 0,
"taxableAmount": 5609889
}
],
"noValidDays": 5,
"otherValue": -100,
"rejectStatus": "N",
"sgstValue": 0,
"status": "ACT",
"subSupplyType": "1 ",
"supplyType": "O",
"toAddr1": "Shree Nilaya",
"toAddr2": "Dasarahosahalli",
"toGstin": "27AAACQ3770E000",
"toPincode": 560090,
"toPlace": "Beml Nagar",
"toStateCode": 29,
"toTrdName": "sthuthya",
"totInvValue": 68358,
"totalValue": 56099,
"transactionType": 4,
"transporterId": "27AAACQ3770E004",
"transporterName": "Acme Industries Private Limited",
"userGstin": "29AAACQ3770E000",
"validUpto": "06/05/2024 11:59:00 PM",
"vehicleType": "R"
},
"status": "1"
},
"timestamp": 1763446641000,
"transaction_id": "6dddbe8f-147f-4678-88b6-003f112854d7"
}Get E-Way Bill
Pass E-Way Bill Number to fetch E-Way Bill details.
GET
/
gst
/
compliance
/
e-way-bill
/
tax-payer
/
bill
/
{ewb_no}
Get E-Way Bill
Headers
E-Way Bill access token. For token-generation steps, refer to the Generate E-Way Bill Session recipe, then pass the token in the authorization header.
Example:
"primary"
Example:
"secondary"
API key for identification
API version
Path Parameters
Was this page helpful?
āI